apiVersion: hco.kubevirt.io/v1beta1
kind: HyperConverged
[...]
spec:
  certConfig:
    ca:
      duration: 48h0m0s
      renewBefore: 24h0m0s
    server:
      duration: 24h0m0s
      renewBefore: 12h0m0s
  commonBootImageNamespace: ramon
  dataImportCronTemplates:
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.bind.immediate.requested: "true"
        ssp.kubevirt.io/dict.architectures: amd64,arm64,s390x
      labels:
        kubevirt.io/dynamic-credentials-support: "true"
      name: centos-stream10-image-cron
    spec:
      garbageCollect: Outdated
      managedDataSource: centos-stream10
      schedule: 46 4/12 * * *
      template:
        metadata: {}
        spec:
          source:
            registry:
              pullMethod: node
              url: docker://quay.io/containerdisks/centos-stream:10
          storage:
            accessModes:
            - ReadWriteOnce
            resources:
              requests:
                storage: 30Gi
        status: {}
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.bind.immediate.requested: "true"
        ssp.kubevirt.io/dict.architectures: amd64,arm64,s390x
      labels:
        kubevirt.io/dynamic-credentials-support: "true"
      name: centos-stream9-image-cron
    spec:
      garbageCollect: Outdated
      managedDataSource: centos-stream9
      schedule: 46 4/12 * * *
      template:
        metadata: {}
        spec:
          source:
            registry:
              pullMethod: node
              url: docker://quay.io/containerdisks/centos-stream:9
          storage:
            accessModes:
            - ReadWriteOnce
            resources:
              requests:
                storage: 30Gi
        status: {}
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.bind.immediate.requested: "true"
        ssp.kubevirt.io/dict.architectures: amd64,arm64,s390x
      labels:
        kubevirt.io/dynamic-credentials-support: "true"
      name: fedora-image-cron
    spec:
      garbageCollect: Outdated
      managedDataSource: fedora
      schedule: 46 4/12 * * *
      template:
        metadata: {}
        spec:
          source:
            registry:
              pullMethod: node
              url: docker://quay.io/containerdisks/fedora:latest
          storage:
            accessModes:
            - ReadWriteOnce
            resources:
              requests:
                storage: 30Gi
        status: {}
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.bind.immediate.requested: "true"
        ssp.kubevirt.io/dict.architectures: amd64,arm64,s390x
      labels:
        kubevirt.io/dynamic-credentials-support: "true"
      name: rhel10-image-cron
    spec:
      garbageCollect: Outdated
      managedDataSource: rhel10
      schedule: 46 4/12 * * *
      template:
        metadata: {}
        spec:
          source:
            registry:
              imageStream: rhel10-guest
              pullMethod: node
          storage:
            accessModes:
            - ReadWriteOnce
            resources:
              requests:
                storage: 30Gi
        status: {}
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.bind.immediate.requested: "true"
        ssp.kubevirt.io/dict.architectures: amd64,arm64,s390x
      name: rhel8-image-cron
    spec:
      garbageCollect: Outdated
      managedDataSource: rhel8
      schedule: 46 4/12 * * *
      template:
        metadata: {}
        spec:
          source:
            registry:
              imageStream: rhel8-guest
              pullMethod: node
          storage:
            accessModes:
            - ReadWriteOnce
            resources:
              requests:
                storage: 30Gi
        status: {}
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.bind.immediate.requested: "true"
        ssp.kubevirt.io/dict.architectures: amd64,arm64,s390x
      labels:
        kubevirt.io/dynamic-credentials-support: "true"
      name: rhel9-image-cron
    spec:
      garbageCollect: Outdated
      managedDataSource: rhel9
      schedule: 46 4/12 * * *
      template:
        metadata: {}
        spec:
          source:
            registry:
              imageStream: rhel9-guest
              pullMethod: node
          storage:
            accessModes:
            - ReadWriteOnce
            resources:
              requests:
                storage: 30Gi
        status: {}
  deployVmConsoleProxy: false
  enableApplicationAwareQuota: false
  enableCommonBootImageImport: true
  evictionStrategy: LiveMigrate
  featureGates:
    alignCPUs: false
    decentralizedLiveMigration: false
    declarativeHotplugVolumes: false
    deployKubeSecondaryDNS: false
    disableMDevConfiguration: false
    downwardMetrics: false
    enableMultiArchBootImageImport: false
    persistentReservation: false
  higherWorkloadDensity:
    memoryOvercommitPercentage: 100
  infra: {}
  liveMigrationConfig:
    allowAutoConverge: false
    allowPostCopy: false
    completionTimeoutPerGiB: 150
    parallelMigrationsPerCluster: 5
    parallelOutboundMigrationsPerNode: 2
    progressTimeout: 150
  resourceRequirements:
    vmiCPUAllocationRatio: 10
  uninstallStrategy: BlockUninstallIfWorkloadsExist
  virtualMachineOptions:
    disableFreePageReporting: false
    disableSerialConsoleLog: false
  workloadUpdateStrategy:
    batchEvictionInterval: 5m0s
    batchEvictionSize: 10
    workloadUpdateMethods:
    - Evict
  workloads: {}
